Subject: Re: [PATCH v4 2/2] parse-options.c: add style checks for usage-strings

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Feb 2022 22:08:49 -0800

Junio C Hamano <[email-masked]> writes:

> I would imagine that large enough platforms that have their own
> conditionally compiled #ifdef/#endif block already have CI to build
> their conditionally compiled block in practice.  I do not see the
> above as a compelling reason to grow and shift the scope of these
> two patches.

Let's instead drop [2/2] for now.  I do not want us to go back to
shell script that pretends to know about C language, and I do not
want to block [1/2] by waiting for a replacement.  Fixes in [1/2]
are pretty much uncontroversial ones that can even be fast-tracked
down to 'master'.